extends Control

func _on_return_button_pressed() -> void:
	SignalBus.unpause()

func _on_settings_button_pressed() -> void:
	GUI.show_submenu(self, Utils.SETTINGS_MENU)

func _on_main_menu_button_pressed() -> void:
	SceneChanger.change_scene_to(Utils.GAME_SCENES.MAIN_MENU)
	SignalBus.returned_to_main_menu.emit()  # for music
